# openforcefield.typing.engines.smirnoff.io.ParameterIOHandler

class `openforcefield.typing.engines.smirnoff.io.``ParameterIOHandler`

  Base class for handling serialization/deserialization of SMIRNOFF ForceField objects

  Methods

  `parse_file`(self, file_path) | Parameters
  `parse_string`(self, data) | Parse a SMIRNOFF force field definition in a seriaized format
  `to_file`(self, file_path, smirnoff_data) | Write the current forcefield parameter set to a file.
  `to_string`(self, smirnoff_data) | Render the forcefield parameter set to a string

  `__init__`(self)

    Create a new ParameterIOHandler.

  Methods

  `__init__`(self) | Create a new ParameterIOHandler.
  `parse_file`(self, file_path) | Parameters
  `parse_string`(self, data) | Parse a SMIRNOFF force field definition in a seriaized format
  `to_file`(self, file_path, smirnoff_data) | Write the current forcefield parameter set to a file.
  `to_string`(self, smirnoff_data) | Render the forcefield parameter set to a string